fastify-method-override-wrapper

    1.0.6 • Public • Published

    fastify-method-override-wrapper

    github action status Codacy Badge codecov npm version

    Fastify wrapper, which allows use HTTP verbs, such as DELETE, PATCH, HEAD, PUT, OPTIONS in case the client doesn't support them. Supports Fastify versions >=2.0.0.

    Install

    npm install fastify-method-override-wrapper

    Usage

    import fastify from 'fastify';
    import wrapFastify from 'fastify-method-override-wrapper';
    
    const wrappedFastify = wrapFastify(fastify);
    const app = wrappedFastify({
      // any fastify options, for example logger
      logger: true,
    });

    To override an HTTP method, use an HTML form with the overridden method in the query string of the URL.

    <form method="POST" action="/url/?_method=DELETE">
      <input type="submit" value="Submit">
    </form>

    Install

    npm i fastify-method-override-wrapper

    DownloadsWeekly Downloads

    7

    Version

    1.0.6

    License

    MIT

    Unpacked Size

    11 kB

    Total Files

    13

    Last publish

    Collaborators

    • avatar